I have drawn a cylinder, with inside diameter 1028mm, wall thickness 5mm. We usually have calculated unfolded part length like this: outside dim. 1038mm - 5mm (wall thickness) = 1032 x 3,14 = 3240mm. Now when i unfold in inventor I get for the length 3215,35mm. It is quite far from the result we usually would have received.
Unfolded part will be rolled to cylinder. What parameters should be overlooked when making unfolded parts for plate rolling?
After upgrading to Inventor 2014 we notice that the graphics do not work properly, and that the overall performance in drawings and modelling bad compared to 2013. Then we installed SP1 and now drawing views are disappearing, however when we select "shaded" view the view reappears and works perfectly..
Each time when I place a part in base view, have to follow few steps; go through view label, format Text, than choose type option - [Properties-Model] and its property - [Part Number], than placing dimensions. it takes long time and very repetitive, especially, when placing a hundreds of parts and I was wondering if there is an option, to set up view label; [Properties - Model ]& [Part number], as a DEFAULT. So, each time placing a part, in base view it will come up with correct label. Also, overall dimensions, can it be retrieve using parameters of the part?
I'm working on a Isometric drawing and im trying to dimension the view. I keep the original view there and cut another of the same view and place that cut view over the original, so I have something to snap to while dimensioning.
Every time i go to place the cut view over the original and i always grab the wrong view and move it and I am wondering if there is a way to pin the original view in place permanently?
On pasting items from one dwg. to another and the ucs being the same orientation in both dwgs. the ucs in the receiving dwg. wonders around to various orientations when trying to pick the target pasting point. Objects are 3D, working in that environment. Had no trouble pasting one object into the dwg. as per normal but trying to repeat the process at a different location in the same dwg. the grief started. Ending up climbing walls!! Have been working this procedure for a couple of months and only now this problem has arisen.
I've got a macro which is creating .ipt and .idw files from templates. I'm once created I'm replacing the reference in the .idw to refer to the newly created .ipt file. The problem is that the drawing view isn't updating... I've make the .ipt file dirty then udpate the drawing, but that hasn't worked. I've tried just using the drawingdocument.update function, but that hasn't worked either...
In the continuing persuit to learn Inventor, of this selection in the drawing view editor?I have noticed one thing. When it is checked it turns off the visibility of parts within an assembly view.
I have an assembly that is derived from a solid body part. The assembly can rotate in the part hence the .iam that was created using Make Components also rotates. The trouble is I need to make a template drawing showing the assembly in the same position all the time.
Is there a way to make a base view always look at a surface and follow that surface so that the view on the drawing always looks the same?
For example: If I had a dice and I create a base view of the two dots side of the die. If I roll the die I still want to see in the base view the two dots side of the die in the same orientation.
I am using this code to turn visibility of components off in IDw file, what I need top turn visibility of a component of in a subassembly.
'oDrawingDocument = ThisApplication.ActiveDocument 'Get the first view 'Dim oView As Inventor.DrawingView 'oView = oDrawingDocument.ActiveSheet.DrawingViews.Item(2)
We are sometimes faced with the problem that we would like change the coordinate system of the model and have the drawing update it with the new orientation of the part without the need to place every annotation again. This is mostly for legacy parts and assemblies which are not modeled correct according to the coordinate system of the machine.
The following sample code does not work, is this by design or is there an error in the code?
Public Sub RotateFirstView() Dim oDrawDoc As DrawingDocument Set oDrawDoc = ThisApplication.ActiveDocument Dim oDrawView As DrawingView Set oDrawView = oDrawDoc.Sheets(1).DrawingViews(1) Dim oCamera As Camera Set oCamera = oDrawView.Camera Debug.Print oCamera.ViewOrientationType = kFrontViewOrientation oCamera.ViewOrientationType = kIsoBottomLeftViewOrientation oCamera.ApplyEnd Sub
Inventor Professional 2012 SP1 (25 seats with subscription) Windows 7 64 bit Lenovo D20, 12 GB RAM, Intel Xeon X5687 3.6 GHz, SSD Quadro 4000, driver 8.17.12.9573, dual monitors SpacePilot, driver version 6.15.3 Firmware 3.12
I am trying to align two views horizontally with I logic, (view 1) and (view 2) but I am not sure what the syntax needs to look like.
I know that I need to import the Drawing view Alignment Enumeration, but other than that I don't know what to do, can some one post an example of how to align views with I-logic.
I have some models which are based on skeleton modeling and where the actual parts are modeled at the position where they are in the assembly. When the skeleton part is changed the parts will update and their orientation related to the origin planes can change. This is where the problem lies, on the drawings of these parts the views are all skewed after an update.
Is it somehow possible to tell Inventor that all views on a a drawing should stay alligned to a workplane? Because it are all parts and no assemblies I cannot use posreps (and I don't want to use dummy assemblies). I also tried setting a specific edge to be horizontal with the rotate command in the drawing. This works for the base view, but all projected views will still be skewed after an update.
Is it possible to get the "actual" calculated area of the face of a part from a drawing view? I looked at the drawing view object in the api but didn't find what I was looking for. What my goal is, I want to calculate the actual square foot of this piece and then subtract it from the overall square foot so I can calculate waste. Perimeter's of pieces can be in multiple forms, radial, straight or a combination of the two. See image below.
Most of my views have been crosed over by a red line in the Model browser window (se attachment) What does this red line meen?
Also, all the views with the red line have been set to Raster View Only. I can untick it without problems, but when I click OK and reopen the dialog the checkmark is back on.
I have a drawing view with many recurring instances of the same part. I want to include the "XY Plane of each of these occurrences using the API. My code appears to be correct but the projected planes just won't show up. I get an error when I try to include the plane that is not normal the the view so I know it is doing something.
Is there a way (IV2012) to have the drawing view default to 1:1 when inserting a detail into the sheet? Now it tries to select a scale based on who knows what.
Is there any way to have Tangent Edges to show within all view's created on my idw automatically within the my template file or do I have to remember to double click on each of my created views per page, select display options and make sure Tangent Edges are checked on.
*See Computer Mouse is Attached Photo IV 2012 Pro-Suite / VP 2011 Windows Vista Enterprise - 64 Bit Precision Workstation T7500 Intel (R) Xeon (R) CPU - E5504 @ 2.00 GHz (8 CPUs) 12284 Mb Ram Dual Quadro FX 5800
If you've had to use different design view representation of the same PART on a drawing in multiple Views at the same time, you already know that whenever you suppress completly a feature, the representation loose the condition stated in the model view and if the suppressed feature is reactivated, it then appear in all view. You have to right-click on the view and select "Apply design View" to reset it, or re-select the design view representation in "Edit view".
Recently I faced a case where i had to build a iLogic multi-body part representing a crate made of either sheet or bar, with a removable top and variable solid for top, sidewall and base, driven trought a in-drawing form! Reason being the customer wanted a easy, useable model for the shipping clerk to generate a custom crate drawing for the crate contractor, therefore freeing precious time for the drafting departement. Usually I would have used occurence visibillity from a assembly, but the document management part of the deal, was too much for the computer illiterate user... So, off i went creating a multi-body part, only to face the aforemention problem with view changing representation due to complete solid suppression.
So here's How-to Set representation view for part in drawing:
The trick is to set every view to it's representation by using the edit window interface code.
The iLogic line to set a View to a specific Design View Representation:
I use this code in "IF" statement. You must repete the code for each view, removing the "Raster" line force a raster only reaction on the view, and the update must be placed after each view, otherwise it only update the last one.
Example: If TYPE_COUVERCLE = "AUCUN" Then
ActiveSheet.View("2").View.Suppressed = TrueActiveSheet.View("1").View.SetDesignViewRepresentation("View5", False)ActiveSheet.View("1").View.IsRasterView = FalseThisApplication.ActiveView.Update()ActiveSheet.View("3").View.SetDesignViewRepresentation("View2", False)ActiveSheet.View("3").View.IsRasterView = FalseThisApplication.ActiveView.Update()ActiveSheet.View("4").View.SetDesignViewRepresentation("View1", False)ActiveSheet.View("4").View.IsRasterView = FalseThisApplication.ActiveView.Update() Else If TYPE_COUVERCLE = "CONTREPLAQUÉ" Then
[Code]...
I'm telling the model that the disapearing element "TYPE_COUVERCLE" is driving the representation, only when it change does it fix the view, regenerating or changing the Design View Representation (the TYPE_SIDE and TYPE_BOTTOM are always active or always suppressed in their respectives views, therefore not influencing their respective appearance in other view). If you had multiple dissapearing solid or feature you would have to build a similar code for every one of them...